#include <iostream>
#include<bits/stdc++.h>
using namespace std;
vector<long long> vrednosti;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int i,j;
    long long pom,v,br=0,k=10;
    vrednosti.push_back(1);
    vrednosti.push_back(2);
    vrednosti.push_back(5);
    for(j=1;j<=18;j++)
    {
        if(j!=18)
        {
            for(i=0;i<3;i++)
                vrednosti.push_back(vrednosti[i]*k);
        }
        else
            vrednosti.push_back(k);
        k=k*10;
    }
    cin >> v;
    i=vrednosti.size()-1;
    while(v>0)
    {
        pom=v/(long long)vrednosti[i];
        br=br+pom;
        v=v-pom*(long long)vrednosti[i];
        i--;
    }
    cout << br;
    //cout << "Hello world!" << endl;
    return 0;
}